Skip to content

Get Profile Webhook Subscription

Request

Retrieve a profile webhook subscription by its identifier.

Security
UserToken
Path
profileIdinteger, (int64)required

ID of the profile.

subscriptionIdstring, (uuid)required

UUID of the subscription.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v3/profiles/{profileId}/subscriptions/{subscriptionId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idstring, (uuid)

UUID that uniquely identifies the subscription.

Example:"72195556-e5cb-495e-a010-b37a4f2a3043"
namestring

A custom name for your webhook to ease with identification.

Example:"Webhook Subscription #1"
trigger_onstring

The event type this subscription is listening for. List of available events.

Example:"transfers#state-change"
deliveryobject
scopeobject
created_byobject
created_atstring, (date-time)

Timestamp of when the subscription was created.

Example:"2019-10-10T13:55:57Z"
Response
{ "id": "f215f353-35fd-405b-b27f-4fd603c905ed", "name": "Webhook Subscription #1", "delivery": { "version": "2.0.0", "url": "https://your.webhook.url/12345" }, "trigger_on": "balances#credit", "scope": { "domain": "profile", "id": "<your profile ID>" }, "created_by": { "type": "user", "id": "<your user ID>" }, "created_at": "2008-09-15T15:53:00Z" }